## octave-odepkg 0.6.0

=== DESCRIPTION ===
Name: OdePkg
Version: 0.6.0
Date: 2008-04-29
Author: Thomas Treichl
Maintainer: Thomas Treichl
Title: OdePkg.
Description: A package for solving differential equations with GNU Octave.
Categories: Differential Equations
Depends: octave (>= 3.0.0)
Autoload: yes
License: GPL version 2 or later
Url: http://octave.sf.net

=== doc/Makefile ===
# Filename:    Makefile
# Description: Makefile for the doc directory of the OdePkg
# ChangeLog: 20070222, this Makefile was originally be created
#    from the Makefile of the comm package. Modifications have
#    been done to create the documentation of the OdePkg.

sinclude ../../../Makeconf

# Fill in the variables as it makes testing the package manager easier
ifeq ($(MKDOC),)
MKDOC = ../../../admin/mkdoc
MKTEXI = ../../../admin/mktexi
MAKEINFO = makeinfo --no-split
TEXI2DVI = texi2dvi --clean
DVIPS = dvips
LN_S = ln -s
endif

INFODOC = odepkg.info
PSDOC   = $(patsubst %.info, %.ps, $(INFODOC))
PDFDOC  = $(patsubst %.info, %.pdf, $(INFODOC))
HTMLDOC = $(patsubst %.info, %.html, $(INFODOC))
TEXIDOC = $(patsubst %.info, %.txi, $(INFODOC))
DOCS = $(INFODOC) $(PDFDOC)  
DOCSTRINGS = DOCSTRINGS
INDEX = ../INDEX
TMPDELETES = *.log *.dvi $(DOCSTRINGS) $(TEXIDOC) *~
DELETES = $(TMPDELETES) *.ps *.pdf *.info $(DOCS) *.html odepkg/ html/

all : $(PDFDOC) $(HTMLDOC) ../inst/doc.info
.PHONY : all

../inst/doc.info : $(INFODOC)
	cp -f $(INFODOC) ../inst/doc.info

ifeq (,$(TEXI2PDF))
%.pdf : %.dvi
	@if test "x$(TEXI2DVI)" != "x" && test "x$(DVIPDF)" != "x"; then \
	  echo "Making pdf $@"; \
	  $(DVIPDF) $< ; \
	fi

%.dvi : %.texi
	@if test "x$(TEXI2DVI)" != "x"; then \
	  echo "Making dvi $@"; \
	  TEXINPUTS="./:$../../..:$(TEXINPUTS):"; \
          export TEXINPUTS; \
	  $(TEXI2DVI) $< ; \
	fi

%.ps : %.dvi 
	@if test "x$(TEXI2DVI)" != "x" && test "x$(DVIPS)" != "x"; then \
	  echo "Making postscript $@"; \
	  $(DVIPS) -o $@ $< ; \
	fi
else
%.pdf : %.texi
	@if test "x$(TEXI2PDF)" != "x"; then \
	  echo "Making pdf $@"; \
	  TEXINPUTS="./:../../..:$(TEXINPUTS):"; \
          export TEXINPUTS; \
	  $(TEXI2PDF) $< ; \
	fi
endif

%.info : %.texi
	@if test "x$(MAKEINFO)" != "x"; then \
	  echo "Making info $@"; \
	  $(MAKEINFO) -I./ -I../../../ $< ; \
	fi

%.html : %.texi
	@if test "x$(MAKEINFO)" != "x"; then \
	  echo "Making html $@"; \
	  $(MAKEINFO) --html -I./ -I../../../ $< ; \
	fi

%.texi : %.txi
	$(RM) -f $(DOCSTRINGS); \
	$(MKDOC) ../ > $(DOCSTRINGS); \
	$(MKTEXI) $< $(DOCSTRINGS) $(INDEX) > $@ ; \
	$(RM) -f $(DOCSTRINGS);

clean :
	@echo "Cleaning..."; \
	$(RM) -fr $(DELETES) ../inst/doc.info;
.PHONY : clean

realclean : clean
.PHONY : realclean

distclean : clean
.PHONY : distclean

dist : all
.PHONY : dist

=== src/Makefile ===
# Filename:    Makefile
# Description: Makefile script for the src directory of the OdePkg

sinclude Makeconf # This is needed for packaging OdePkg correctly

DEVELOPERDEFS = -Wall -W -Wshadow
TGZUNPACK = tar -xzf  # "tar -xzvf" to print some output
PATCHPROG = patch -p0 # Needed to patch the Fortran codes

# MKOCTFILE = $(MKOCTFILE) has already been defined in Makeconf
# MKMEXFILE = $(MKOCTFILE) --mex
ifeq (fort77,$(findstring fort77,$(F77)))
  MKF77FILE = FFLAGS="$(FFLAGS)" $(MKOCTFILE)
else
  MKF77FILE = FFLAGS="-fno-automatic $(FFLAGS)" $(MKOCTFILE)
endif

EXTERNALDIRS  = hairer cash daskr
EXTERNALPACKS = $(patsubst %, %.tgz,  $(EXTERNALDIRS))
EXTERNALDIFFS = $(patsubst %, %.diff, $(EXTERNALDIRS))

SOLVERSOURCES = odepkg_octsolver_mebdfdae.cc odepkg_octsolver_mebdfi.cc \
		odepkg_octsolver_ddaskr.cc \
		odepkg_octsolver_radau.cc odepkg_octsolver_radau5.cc \
		odepkg_octsolver_rodas.cc odepkg_octsolver_seulex.cc
SOLVERDEPENDS = odepkg_auxiliary_functions.cc
SOLVEREXTERNS = cash/mebdfdae.f cash/mebdfi.f \
		daskr/ddaskr.f daskr/dlinpk.f \
		hairer/decsol.f hairer/dc_decsol.f \
		hairer/radau.f hairer/radau5.f hairer/rodas.f hairer/seulex.f
SOLVEROBJECTS = $(patsubst %.cc, %.o, $(SOLVERSOURCES)) \
	 	$(patsubst %.cc, %.o, $(SOLVERDEPENDS)) \
		$(patsubst %.f, %.o,  $(SOLVEREXTERNS))
SOLVEROCTFILE = dldsolver.oct

%.o : %.f ; $(MKF77FILE) -c $< -o $@
%.o : %.cc ; $(MKOCTFILE) -c $< -o $@

all : $(EXTERNALDIRS) $(SOLVEROCTFILE)

$(SOLVEROCTFILE) : $(EXTERNALDIRS) $(SOLVEROBJECTS)
	$(MKOCTFILE) $(SOLVEROBJECTS) -o $(SOLVEROCTFILE)

install :
	@$(INSTALL) -d $(DESTDIR)$(MPATH)/odepkg

$(EXTERNALDIRS) :
	@for i in $(EXTERNALPACKS); do \
	  echo "Unpacking external packages: $$i"; \
	  $(TGZUNPACK) $$i; \
	done
	@for j in $(EXTERNALDIFFS); do \
	  echo "Applying patches from file: $$j"; \
	  $(PATCHPROG) < $$j; \
	done

clean :
	@echo "Cleaning..."; \
	$(RM) -rf $(EXTERNALDIRS) $(SOLVEROBJECTS) $(SOLVEROCTFILE)

distclean : clean
	@echo "Dist Cleaning..."; \
	$(RM) -rf *~ config.status config.log autom4te.cache Makeconf

realclean : distclean
	@echo "Really Cleaning..."; \
	$(RM) -rf configure

dist : all

## octave-odepkg 0.6.6

=== DESCRIPTION ===
Name: OdePkg
Version: 0.6.6
Date: 2009-03-21
Author: Thomas Treichl
Maintainer: Thomas Treichl
Title: OdePkg.
Description: A package for solving ordinary differential equations and more. 
Categories: Differential Equations
Depends: octave (>= 3.0.0)
Autoload: yes
License: GPL version 2 or later
Url: http://octave.sf.net

## octave-odepkg 0.6.7

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Name: OdePkg
-Version: 0.6.6
+Version: 0.6.7
 Date: 2009-03-21
 Author: Thomas Treichl
 Maintainer: Thomas Treichl

## octave-odepkg 0.6.10

=== DESCRIPTION ===
Name: OdePkg
Version: 0.6.10
Date: 2010-02-14
Author: Thomas Treichl
Maintainer: Thomas Treichl
Title: OdePkg.
Description: A package for solving ordinary differential equations and more. 
Categories: Differential Equations
Depends: octave (>= 3.2.0)
Autoload: yes
License: GPL version 2 or later
Url: http://octave.sf.net

=== src/Makefile ===
--- 
+++ 
@@ -9,10 +9,14 @@
 
 # MKOCTFILE = $(MKOCTFILE) has already been defined in Makeconf
 # MKMEXFILE = $(MKOCTFILE) --mex
-ifeq (fort77,$(findstring fort77,$(F77)))
+ifeq (gfortran,$(findstring gfortran,$(F77)))
+  MKF77FILE = FFLAGS="-fno-automatic $(FFLAGS)" $(MKOCTFILE)
+endif
+ifeq (g95,$(findstring g95,$(F77)))
+  MKF77FILE = FFLAGS="-fstatic $(FFLAGS)" $(MKOCTFILE)
+else
+  # eg. the combination f2c with fort77
   MKF77FILE = FFLAGS="$(FFLAGS)" $(MKOCTFILE)
-else
-  MKF77FILE = FFLAGS="-fno-automatic $(FFLAGS)" $(MKOCTFILE)
 endif
 
 EXTERNALDIRS  = hairer cash daskr

=== debian/changelog ===
octave-odepkg (0.6.10-1) unstable; urgency=low

  * New upstream release
  * debian/control:
    - Remove Rafael Laboissiere from Uploaders (Closes: #571858)
    - Remove Ólafur Jens Sigurðsson <ojsbug@gmail.com> from Uploaders
  * Bump Standards-Version to 3.8.4, no changes needed
  * Switch to dpkg-source 3.0 (quilt) format
  * Dropped patch fix-test (applied upstream)

 -- Thomas Weber <tweber@debian.org>  Sun, 16 May 2010 20:37:31 +0200

octave-odepkg (0.6.7-1) unstable; urgency=low

  [ Rafael Laboissiere ]
  * debian/control: Build-depend on octave-pkg-dev >= 0.7.0, such that the
    package is built against octave3.2

  [ Thomas Weber ]
  * New upstream release
  * Use debian/octave-odepkg.info and debian/octave-odepkg.docs for
    installation of documentation 
  * New patch: fix-test, taken from upstream SVN. Fixes a problem with NaN vs.
    Inf in the test suite.
  * Build-depend on texlive, to build PDF documentation

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Wed, 30 Dec 2009 23:14:47 +0100

octave-odepkg (0.6.6-1) unstable; urgency=low

  * New upstream release
  * debian/control:
    + (Standards-Version): Bump to 3.8.1 (add file debian/README.source)
    + (Depends): Add ${misc:Depends}
    + (Vcs-Git, Vcs-Browser): Adjust to new Git repository
  * debian/copyright:
    + Use DEP5 URL in Format-Specification
    + Use separate License stanzas for instructing about the location of
      the different licenses used in the package
  * debian/patches/info-dir-section.diff: Changed this patch to add
    @dircategory and @direntry macros directly into the texinfo source
    file
  * debian/rules:
    + Build the odepkg.info file from the texinfo source and install it
      instead of inst/doc.info
    + Removed unneeded documentation source files, which get wrongly
      installed in /usr/share/doc
  * debian/clean: Remove odepkg.info, which is generated during package
    build

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 24 May 2009 18:01:04 +0200

octave-odepkg (0.6.4-2) unstable; urgency=low

  [ Rafael Laboissiere ]
  * debian/copyright: Add header
  * debian/control: Bump build-dependency on octave-pkg-dev to >= 0.6.4,
    such that the package is built with the versioned packages directory
  * debian/rules: Use debian/clean instead of manually cleaning files
  * debian/compat, debian/control: Bump build-dependency on debhelper to
    >= 7.0.0, otherwise debian/clean is moot
  * debian/clean: New file
  * debian/control: Bump Standards-Version to 3.8.0 ( no changes needed)

  [ Thomas Weber ]
  * Upload to unstable

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Tue, 07 Apr 2009 20:26:59 +0200

octave-odepkg (0.6.4-1) experimental; urgency=low

  [ Rafael Laboissiere ]
  * debian/rules: Use debian/clean instead of manually cleaning files
  * debian/compat, debian/control: Bump build-dependency on debhelper to
    >= 7.0.0, otherwise debian/clean is moot
  * debian/clean: New file
  * debian/control: Bump Standards-Version to 3.8.0 ( no changes needed)

  [ Thomas Weber ]
  * New upstream release
  * Bump dependency on octave-pkg-dev to 0.6.1, to get the experimental
    version

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Thu, 11 Dec 2008 23:56:55 +0100

octave-odepkg (0.6.0-1) unstable; urgency=low

  [ Ólafur Jens Sigurðsson ]
  * New upstream version

  [ Rafael Laboissiere ]
  * The source files dldfunref.texi, mfunref.texi, and odepkg.texi of the
    PDF and info documentation distributed with the package are now
    included in the upstream tarball.  This makes the package
    DFSG-compliant (really, closes: #468514)
  * debian/patches/info-dir-section.diff: Adjusted for new upstream release
  * debian/patches/makefile-distclean.diff: Drop patch (applied upstream)

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 10 May 2008 12:19:52 +0000

octave-odepkg (0.4.1-1) unstable; urgency=low

  * Initial release (closes: #468514)

 -- Ólafur Jens Sigurðsson <ojsbug@gmail.com>  Sun, 17 Feb 2008 16:01:04 +0100

=== debian/control ===
Source: octave-odepkg
Section: math
Priority: optional
Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
Uploaders: Thomas Weber <tweber@debian.org>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 7.0.0), cdbs, octave-pkg-dev (>= 0.7.0), texlive
Standards-Version: 3.8.4
Homepage: http://octave.sourceforge.net/odepkg
Vcs-Git: git://git.debian.org/git/pkg-octave/octave-odepkg.git
Vcs-Browser: http://git.debian.org/?p=pkg-octave/octave-odepkg.git

Package: octave-odepkg
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${octave:Depends}
Description: solve differential equations and initial value problems in Octave
 This package provides a toolkit for Differential Equations and
 Initial Value Problems for Octave, a numerical computation software.
 It implements the Runge-Kutta, Hairer-Wanner and Cash BDF solvers of
 systems of differential equations.
 .
 This Octave add-on package is part of the Octave-Forge project.

=== debian/watch ===
version=3
http://octave.sourceforge.net/packages.php \
    http://downloads\.sourceforge\.net/octave/odepkg-([\d.]+)\.tar\.gz\?download

## octave-odepkg 0.6.12

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Name: OdePkg
-Version: 0.6.10
-Date: 2010-02-14
+Version: 0.6.12
+Date: 2011-04-08
 Author: Thomas Treichl
 Maintainer: Thomas Treichl
 Title: OdePkg.

=== debian/changelog ===
octave-odepkg (0.6.12-1) unstable; urgency=low

  * New upstream release
  * Bump standards version to 3.9.1, no changes required
  * New patch: build-pdf-documentation, helps building the pdf documentation

 -- Thomas Weber <tweber@debian.org>  Sat, 23 Apr 2011 15:41:22 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Thomas Weber <tweber@debian.org>
 DM-Upload-Allowed: yes
 Build-Depends: debhelper (>= 7.0.0), cdbs, octave-pkg-dev (>= 0.7.0), texlive
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 Homepage: http://octave.sourceforge.net/odepkg
 Vcs-Git: git://git.debian.org/git/pkg-octave/octave-odepkg.git
 Vcs-Browser: http://git.debian.org/?p=pkg-octave/octave-odepkg.git

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/cdbs/1/class/octave-pkg.mk

pkg = octave-odepkg

build/$(pkg)::
	( cd doc ; make odepkg.info; make odepkg.pdf )

## octave-odepkg 0.8.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Name: OdePkg
-Version: 0.6.12
-Date: 2011-04-08
+Version: 0.8.0
+Date: 2011-06-16
 Author: Thomas Treichl
 Maintainer: Thomas Treichl
 Title: OdePkg.

=== src/Makefile ===
--- 
+++ 
@@ -9,6 +9,7 @@
 
 # MKOCTFILE = $(MKOCTFILE) has already been defined in Makeconf
 # MKMEXFILE = $(MKOCTFILE) --mex
+MKOCTFILE = mkoctfile
 ifeq (gfortran,$(findstring gfortran,$(F77)))
   MKF77FILE = FFLAGS="-fno-automatic $(FFLAGS)" $(MKOCTFILE)
 endif

=== debian/changelog ===
octave-odepkg (0.8.0-1) unstable; urgency=low

  [ Rafael Laboissiere ]
  * Imported Upstream version 0.8.0
  * Do not build the PDF documentation, it is now included in the upstream
    tarball
  * Add upstream patch to fix the call to print_with_name
  * Add upstream patch to fix matlab-style possible short-circuit warning
  * Make header of patch info-dir-section.diff comply with DEP-3
  * Bump to debhelper compat level 9
  * Build-depend on octave-pkg-dev >= 1.0.0, to build against Octave 3.6
  * Bump to Standards-Version 3.9.3, no changes needed
  * Add Sébastien Villemot to the list of Uploaders
  * Put info file in Math section (the same section where Octave is)
  * debian/copyright: update to machine-readable format 1.0

 -- Thomas Weber <tweber@debian.org>  Tue, 13 Mar 2012 21:55:46 +0100

## octave-odepkg 0.8.2

=== DESCRIPTION ===
Name: OdePkg
Version: 0.8.2
Date: 2012-04-15
Author: Thomas Treichl <treichl@users.sourceforge.net>
Maintainer: Thomas Treichl <treichl@users.sourceforge.net>
Title: OdePkg
Description: A package for solving ordinary differential equations and more.
Categories: Differential Equations
Depends: octave (>= 3.2.0)
Autoload: yes
License: GPL version 2 or later
Url: http://octave.sf.net

=== src/Makefile ===
--- 
+++ 
@@ -19,6 +19,9 @@
   # eg. the combination f2c with fort77
   MKF77FILE = FFLAGS="$(FFLAGS)" $(MKOCTFILE)
 endif
+
+LAPACK_LIBS := $(shell mkoctfile -p BLAS_LIBS LAPACK_LIBS)
+FLIBS := $(shell mkoctfile -p FLIBS)
 
 EXTERNALDIRS  = hairer cash daskr
 EXTERNALPACKS = $(patsubst %, %.tgz,  $(EXTERNALDIRS))
@@ -44,7 +47,8 @@
 all : $(EXTERNALDIRS) $(SOLVEROCTFILE)
 
 $(SOLVEROCTFILE) : $(EXTERNALDIRS) $(SOLVEROBJECTS)
-	$(MKOCTFILE) $(SOLVEROBJECTS) -o $(SOLVEROCTFILE)
+	$(MKOCTFILE) $(SOLVEROBJECTS) -o $(SOLVEROCTFILE) \
+        $(LAPACK_LIBS) $(FLIBS) $(LAPACK_LIBS)
 
 install :
 	@$(INSTALL) -d $(DESTDIR)$(MPATH)/odepkg

=== debian/changelog ===
octave-odepkg (0.8.2-2) unstable; urgency=low

  * Ensure that the "-fno-automatic" flag is passed to gfortran
    (Closes: #664797)

 -- Thomas Weber <tweber@debian.org>  Sun, 05 Aug 2012 21:39:05 +0200

octave-odepkg (0.8.2-1) unstable; urgency=low

  [ Rafael Laboissiere ]
  * Imported Upstream version 0.8.2
  * debian/watch: Use the SourceForge redirector
  * Drop patch fix-call-to-print-with-name.patch (applied upstream)
  * Drop patch fix-short-circuit-warning.patch (applied upstream)

  [ Sébastien Villemot ]
  * debian/copyright: reflect upstream changes

 -- Sébastien Villemot <sebastien.villemot@ens.fr>  Fri, 20 Apr 2012 18:49:23 +0000

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,11 @@
 Section: math
 Priority: optional
 Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
-Uploaders: Thomas Weber <tweber@debian.org>
+Uploaders: Thomas Weber <tweber@debian.org>,
+           Sébastien Villemot <sebastien.villemot@ens.fr>    
 DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 7.0.0), cdbs, octave-pkg-dev (>= 0.7.0), texlive
-Standards-Version: 3.9.1
+Build-Depends: debhelper (>= 9), cdbs, octave-pkg-dev (>= 1.0.0), texlive
+Standards-Version: 3.9.3
 Homepage: http://octave.sourceforge.net/odepkg
 Vcs-Git: git://git.debian.org/git/pkg-octave/octave-odepkg.git
 Vcs-Browser: http://git.debian.org/?p=pkg-octave/octave-odepkg.git

## octave-odepkg 0.8.4

=== DESCRIPTION ===
Name: OdePkg
Version: 0.8.4
Date: 2013-02-22
Author: Thomas Treichl <treichl@users.sourceforge.net>
Maintainer: Thomas Treichl <treichl@users.sourceforge.net>
Title: OdePkg
Description: A package for solving ordinary differential equations and more.
Categories: Differential Equations
Depends: octave (>= 3.2.0)
License: GPLv2+
Url: http://octave.sf.net

=== Makefile ===
# Copyright (C) 2008, Thomas Treichl <treichl@users.sourceforge.net>
# OdePkg - Package for solving ordinary differential equations with octave
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA

EXTERNALDIRS  = hairer
EXTERNALFILES = hairer/dc_decsol.f
COMPILEDMEX   = odepkg_mexsolver_seulex.mex

all : $(COMPILEDMEX)

$(EXTERNALDIRS) :
	mkdir $(EXTERNALDIRS)

$(EXTERNALFILES) : $(EXTERNALDIRS)
	curl -s -S http://www.unige.ch/~hairer/prog/nonstiff/dopri5.f -o hairer/dopri5.f
	curl -s -S http://www.unige.ch/~hairer/prog/nonstiff/dop853.f -o hairer/dop853.f
	curl -s -S http://www.unige.ch/~hairer/prog/nonstiff/odex.f   -o hairer/odex.f
	curl -s -S http://www.unige.ch/~hairer/prog/stiff/radau.f     -o hairer/radau.f
	curl -s -S http://www.unige.ch/~hairer/prog/stiff/radau5.f    -o hairer/radau5.f
	curl -s -S http://www.unige.ch/~hairer/prog/stiff/rodas.f     -o hairer/rodas.f
	curl -s -S http://www.unige.ch/~hairer/prog/stiff/seulex.f    -o hairer/seulex.f
	curl -s -S http://www.unige.ch/~hairer/prog/stiff/decsol.f    -o hairer/decsol.f
	curl -s -S http://www.unige.ch/~hairer/prog/stiff/dc_decsol.f -o hairer/dc_decsol.f

$(COMPILEDMEX) : $(EXTERNALFILES)
	patch -p0 < hairer.diff
	mkoctfile --mex odepkg_mexsolver_dopri5.c odepkgmex.c odepkgext.c hairer/dopri5.f
	mkoctfile --mex odepkg_mexsolver_dop853.c odepkgmex.c odepkgext.c hairer/dop853.f
	mkoctfile --mex odepkg_mexsolver_odex.c   odepkgmex.c odepkgext.c hairer/odex.f
	mkoctfile --mex odepkg_mexsolver_radau.c  odepkgmex.c odepkgext.c hairer/radau.f\
			hairer/decsol.f hairer/dc_decsol.f
	mkoctfile --mex odepkg_mexsolver_radau5.c odepkgmex.c odepkgext.c hairer/radau5.f\
			hairer/decsol.f hairer/dc_decsol.f
	mkoctfile --mex odepkg_mexsolver_rodas.c  odepkgmex.c odepkgext.c hairer/rodas.f\
			hairer/decsol.f hairer/dc_decsol.f
	mkoctfile --mex odepkg_mexsolver_seulex.c odepkgmex.c odepkgext.c hairer/seulex.f\
			hairer/decsol.f hairer/dc_decsol.f

clean :
	rm -rf $(EXTERNALDIRS) *.o *.mex octave-core *~

=== src/Makefile ===
--- 
+++ 
@@ -9,19 +9,24 @@
 
 # MKOCTFILE = $(MKOCTFILE) has already been defined in Makeconf
 # MKMEXFILE = $(MKOCTFILE) --mex
-MKOCTFILE = mkoctfile
+MKOCTFILE ?= mkoctfile
+
+FFLAGS := $(shell $(MKOCTFILE) -p FFLAGS)
 ifeq (gfortran,$(findstring gfortran,$(F77)))
-  MKF77FILE = FFLAGS="-fno-automatic $(FFLAGS)" $(MKOCTFILE)
+  FFLAGS := "-fno-automatic $(FFLAGS)"
 endif
 ifeq (g95,$(findstring g95,$(F77)))
-  MKF77FILE = FFLAGS="-fstatic $(FFLAGS)" $(MKOCTFILE)
-else
-  # eg. the combination f2c with fort77
-  MKF77FILE = FFLAGS="$(FFLAGS)" $(MKOCTFILE)
+  FFLAGS := "-fstatic $(FFLAGS)"
 endif
+MKF77FILE = FFLAGS=$(FFLAGS) $(MKOCTFILE)
 
-LAPACK_LIBS := $(shell mkoctfile -p BLAS_LIBS LAPACK_LIBS)
-FLIBS := $(shell mkoctfile -p FLIBS)
+ifndef LAPACK_LIBS
+LAPACK_LIBS := $(shell $(MKOCTFILE) -p BLAS_LIBS) $(shell $(MKOCTFILE) -p LAPACK_LIBS)
+endif
+ifndef FLIBS
+FLIBS := $(shell $(MKOCTFILE) -p FLIBS)
+endif
+LFLAGS := $(shell $(MKOCTFILE) -p LFLAGS) $(LAPACK_LIBS) $(FLIBS)
 
 EXTERNALDIRS  = hairer cash daskr
 EXTERNALPACKS = $(patsubst %, %.tgz,  $(EXTERNALDIRS))
@@ -47,8 +52,8 @@
 all : $(EXTERNALDIRS) $(SOLVEROCTFILE)
 
 $(SOLVEROCTFILE) : $(EXTERNALDIRS) $(SOLVEROBJECTS)
-	$(MKOCTFILE) $(SOLVEROBJECTS) -o $(SOLVEROCTFILE) \
-        $(LAPACK_LIBS) $(FLIBS) $(LAPACK_LIBS)
+	LFLAGS="$(LFLAGS)" $(MKOCTFILE) $(SOLVEROBJECTS) -o $(SOLVEROCTFILE) \
+        $(LAPACK_LIBS) $(FLIBS)
 
 install :
 	@$(INSTALL) -d $(DESTDIR)$(MPATH)/odepkg

=== debian/changelog ===
octave-odepkg (0.8.4-2) unstable; urgency=low

  [ Thomas Weber ]
  * debian/control: Use canonical URLs in Vcs-* fields

  [ Rafael Laboissiere ]
  * Bump to Standards-Version 3.9.5, no changes needed
  * debian/patches/correct-fflags-for-f77.patch: New patch (Closes: 759741)

  [ Sébastien Villemot ]
  * Uploaders: set as Rafael Laboissiere.

 -- Thomas Weber <tweber@debian.org>  Tue, 02 Sep 2014 19:43:08 +0000

octave-odepkg (0.8.4-1) unstable; urgency=low

  [ Rafael Laboissiere ]
  * Imported Upstream version 0.8.4
  * Bump Standards-Version to 3.9.4 (no changes needed)
  * Use Sébastien Villemot's @debian.org email address
  * Remove obsolete DM-Upload-Allowed flag
  * debian/copyright: Reflect upstream changes
  * debian/copyright: Use the octave-maintainers mailing list as upstream
    contact
  * debian/patches/pass_options_to_gfortran: Drop patch (applied upstream)
  * debian/patches/autoload-yes.patch: New patch
  * Do not install doc/odepkg.pdf (removed from upstream tarball)

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 20 May 2013 11:36:44 +0200

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,12 @@
 Section: math
 Priority: optional
 Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
-Uploaders: Thomas Weber <tweber@debian.org>,
-           Sébastien Villemot <sebastien.villemot@ens.fr>    
-DM-Upload-Allowed: yes
+Uploaders: Rafael Laboissiere <rafael@laboissiere.net>
 Build-Depends: debhelper (>= 9), cdbs, octave-pkg-dev (>= 1.0.0), texlive
-Standards-Version: 3.9.3
+Standards-Version: 3.9.5
 Homepage: http://octave.sourceforge.net/odepkg
-Vcs-Git: git://git.debian.org/git/pkg-octave/octave-odepkg.git
-Vcs-Browser: http://git.debian.org/?p=pkg-octave/octave-odepkg.git
+Vcs-Git: git://anonscm.debian.org/pkg-octave/octave-odepkg.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-octave/octave-odepkg.git
 
 Package: octave-odepkg
 Architecture: any

## octave-odepkg 0.8.5

=== doc/Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
 ifeq ($(MKDOC),)
 MKDOC = ../../../admin/mkdoc
 MKTEXI = ../../../admin/mktexi
-MAKEINFO = makeinfo --no-split
+MAKEINFO = makeinfo --no-split --document-language=en
 TEXI2DVI = texi2dvi --clean
 DVIPS = dvips
 LN_S = ln -s

=== src/Makefile ===
--- 
+++ 
@@ -13,12 +13,12 @@
 
 FFLAGS := $(shell $(MKOCTFILE) -p FFLAGS)
 ifeq (gfortran,$(findstring gfortran,$(F77)))
-  FFLAGS := "-fno-automatic $(FFLAGS)"
+  FFLAGS := -fno-automatic $(FFLAGS)
 endif
 ifeq (g95,$(findstring g95,$(F77)))
-  FFLAGS := "-fstatic $(FFLAGS)"
+  FFLAGS := -fstatic $(FFLAGS)
 endif
-MKF77FILE = FFLAGS=$(FFLAGS) $(MKOCTFILE)
+MKF77FILE = FFLAGS="$(FFLAGS)" $(MKOCTFILE)
 
 ifndef LAPACK_LIBS
 LAPACK_LIBS := $(shell $(MKOCTFILE) -p BLAS_LIBS) $(shell $(MKOCTFILE) -p LAPACK_LIBS)
@@ -58,6 +58,7 @@
 install :
 	@$(INSTALL) -d $(DESTDIR)$(MPATH)/odepkg
 
+.NOTPARALLEL:
 $(EXTERNALDIRS) :
 	@for i in $(EXTERNALPACKS); do \
 	  echo "Unpacking external packages: $$i"; \

=== debian/changelog ===
octave-odepkg (0.8.5-5) unstable; urgency=medium

  * Use dh-octave for building the package
  * d/control:
     + Use Debian's GitLab URLs in Vcs-* headers
     + Change Maintainer to team+pkg-octave-team@tracker.debian.org

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 10 Feb 2018 07:36:48 -0200

octave-odepkg (0.8.5-4) unstable; urgency=medium

  * Use the dh-based version of octave-pkg-dev
  * Set debhelper compatibility level to >= 11
  * d/control:
    + Bump Standards-Version to 4.1.3 (no changes needed)
    + Add Testsuite field

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 29 Dec 2017 22:14:19 -0200

octave-odepkg (0.8.5-3) unstable; urgency=medium

  * d/p/nan-unit-test-calcmescd.patch: New patch.
    Fix failing unit test, avoing the package to FTBFS with
    octave-pkg-dev 1.5.0. (Closes: #874143)
  * d/control: Bump Standards-Version to 4.1.0 (no changes needed)

 -- Rafael Laboissiere <rafael@debian.org>  Mon, 11 Sep 2017 06:33:04 -0300

octave-odepkg (0.8.5-2) unstable; urgency=medium

  * Team upload.

  [ Sébastien Villemot ]
  * d/p/octave-4.2.patch: new patch, fixes compilation against Octave 4.2.
    (Closes: #867117)
  * Build and install HTML and PDF doc.
  * Register HTML, PDF and Info doc into doc-base.
  * Bump to debhelper compat level 10.
  * d/copyright: use secure URL for format.
  * d/watch: bump to format version 4.
  * d/rules: support "nodoc" flag of DEB_BUILD_OPTIONS.
  * d/control:
    + Bump Standards-Version to 4.0.0.
    + Remove unneeded versioned dependency on octave-pkg-dev.

  [ Rafael Laboissiere ]
  * d/control: Use secure URIs in the Vcs-* fields

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 04 Jul 2017 11:24:20 +0200

octave-odepkg (0.8.5-1) unstable; urgency=medium

  * Team upload.

  [ Rafael Laboissiere ]
  * Imported Upstream version 0.8.5
  * d/copyright: Reflect upstream changes
  * Bump Standards-Version to 3.9.6 (no changes needed)
  * show-progress-in-rodas.patch: New patch
  * d/p/autoload-yes.patch: Remove patch (deprecated upstream)
  * d/p/correct-fflags-for-f77.patch: Refresh for new upstream version

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 19 Jul 2015 18:19:46 +0200

=== debian/control ===
Source: octave-odepkg
Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
Uploaders: Rafael Laboissiere <rafael@debian.org>
Section: math
Priority: optional
Build-Depends: debhelper (>= 11),
               dh-octave,
               texinfo,
               texlive
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-odepkg
Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-odepkg.git
Homepage: http://octave.sourceforge.net/odepkg
Testsuite: autopkgtest-pkg-octave

Package: octave-odepkg
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${octave:Depends}
Description: solve differential equations and initial value problems in Octave
 This package provides a toolkit for Differential Equations and
 Initial Value Problems for Octave, a numerical computation software.
 It implements the Runge-Kutta, Hairer-Wanner and Cash BDF solvers of
 systems of differential equations.
 .
 This Octave add-on package is part of the Octave-Forge project.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --buildsystem=octave --with=octave

ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
override_dh_auto_build:
	make -C doc TEXI2PDF=texi2pdf
	dh_auto_build
endif

=== debian/watch ===
version=4
http://sf.net/octave/odepkg-(.+)\.tar\.gz
